/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { DemoPage } from '../support/app.po';

describe('Web Core - ng-core Demo', () => {
  let page: DemoPage;

  beforeEach(() => {
    page = new DemoPage();
    // browser.driver.manage().window().maximize().then(() => {
    //   browser.sleep(500);
    // });
  });

  it('should display the app title in the menu', () => {
    page.navigateTo();


    page.getTitle().should(($div) => expect($div.text().replace('\n', ' ')).to.eq(`Web Core Demo`));
  });

  it('should display the Bosch logo', () => {
    page.getBoschLogo().should('be.visible');
  });

  it('should display the sidebar', () => {
    page.getSidebar().should('be.visible');
  });
});
